> ## Documentation Index
> Fetch the complete documentation index at: https://mintlify-docs-automation-github-pr-review.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取代理任务

> 检索代理作业的当前状态和详细信息。轮询此端点以跟踪作业进度。

轮询此端点以跟踪代理任务的进度。`status` 字段会从 `active` 变为 `completed` 或 `failed`。

代理创建拉取请求 (PR；亦称“合并请求”/Merge Request) 后，`prLink` 字段会被填入。


## OpenAPI

````yaml zh/admin-openapi.json GET /v2/agent/{projectId}/job/{id}
openapi: 3.0.1
info:
  title: Mintlify Admin API
  description: 用于管理操作的 API，包括文档更新和代理管理。
  version: 2.0.0
servers:
  - url: https://api.mintlify.com
security:
  - bearerAuth: []
paths:
  /v2/agent/{projectId}/job/{id}:
    get:
      summary: 获取代理任务
      description: 检索代理作业的当前状态和详细信息。轮询此端点以跟踪作业进度。
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: >-
            你的项目 ID。可从你的控制台中的 [API
            keys](https://dashboard.mintlify.com/settings/organization/api-keys)
            页面复制。
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: 代理任务的唯一标识符。
      responses:
        '200':
          description: 代理任务详情
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentJob'
        '404':
          description: 未找到作业
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AgentJob:
      type: object
      properties:
        id:
          type: string
          description: 代理任务的唯一标识符。
        status:
          type: string
          enum:
            - active
            - completed
            - archived
            - failed
          description: >-
            作业的当前状态。`active`——代理当前正在处理提示词。`completed`——代理已成功完成，并且可能已创建 PR（请检查
            `prLink`）。`archived`——作业已归档。`failed`——代理遇到了不可恢复的错误。请持续轮询，直到状态变为
            `completed`、`archived` 或 `failed`。
        source:
          type: object
          description: 源存储库信息。
          properties:
            repository:
              type: string
              description: GitHub 存储库的完整 URL。
            ref:
              type: string
              description: 代理正在处理的 Git branch。
              nullable: true
        model:
          type: string
          description: 此作业使用的 AI 模型。
        prLink:
          type: string
          format: uri
          example: https://github.com/org/repo/pull/123
          description: >-
            由代理创建的 GitHub 拉取请求（PR；亦称“合并请求”/Merge Request）URL。作业仍处于 `active`
            状态或没有文件变更时，该值为 `null`。代理成功创建 PR 后，此字段会被填充。
          nullable: true
        createdAt:
          type: string
          format: date-time
          description: 作业创建时的时间戳。
        archivedAt:
          type: string
          format: date-time
          description: 作业归档时的时间戳。
          nullable: true
    Error:
      type: object
      properties:
        error:
          type: string
          description: 错误消息。
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authorization 头部需要 Bearer 令牌。请使用以 `mint_` 为前缀的管理员 API
        密钥。这是服务端使用的机密凭证。你可以在控制台的 [API keys
        页面](https://dashboard.mintlify.com/settings/organization/api-keys)
        中生成一个。

````